ch.qos.logback.classic.util

## Class EnvUtil

- java.lang.Object
- - ch.qos.logback.classic.util.EnvUtil

    public class EnvUtil
    extends Object

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`EnvUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isGroovyAvailable()`
`static <T> T` `loadFromServiceLoader(Class<T> c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvUtil

    public EnvUtil()

### Method Detail

#### isGroovyAvailable

    public static boolean isGroovyAvailable()

#### loadFromServiceLoader

    public static <T> T loadFromServiceLoader(Class<T> c)